<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Ping</title>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.7.1/css/bulma.min.css">
    <link rel="stylesheet" href="./styles.css">
    <!-- Scripts -->
    <script>
      delete module.exports
    </script>
    <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.2/Chart.min.js"></script>
    <!-- <script src="./vue.js"></script> -->
    <script src="./ping_controller.js"></script>
    <script defer src="https://use.fontawesome.com/releases/v5.0.7/js/all.js"></script>
  </head>
  <body>
    <section class="hero is-primary is-bold is-medium">
      <div class="hero-body">
        <div class="container">
          <h1 class="title">
            Ping
          </h1>
          <p class="subtitle">
            Powered by <strong>ping</strong>!
            <a class="button is-pulled-right" href="index.html">
              <span class="icon">
                <i class="fas fa-home"></i>
              </span>
              <span>Home</span>
            </a>
          </p>
          <div class="columns">
            <div class="box column is-6">
              <label class="label">Input</label>
              <div class="columns is-gapless">
                <div class="field column is-4">
                  <div class="control">
                    <input class="input is-dark" type="text" placeholder="From" id="server">
                  </div>
                </div>
                <div class="field column is-4">
                  <div class="control">
                    <input class="input is-dark" type="text" placeholder="To" id="client">
                  </div>
                </div>
                <div class="field column is-2">
                  <div class="control">
                    <input class="input is-dark" type="number" placeholder="Time" id="count">
                  </div>
                </div>
                <div class="field column is-2">
                  <div class="control">
                    <button id="start-ping" class="button is-dark">Start</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="columns">
            <div class="notification is-dark column is-6" id="log-box">
              <button class="delete"></button>
              <label>Server log</label>
              <hr>
              <p></p>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!-- <section class="section">
      <div class="notification is-dark column is-6 is-offset-3" id="log-box">
        <button class="delete"></button>
        <label>Server log</label>
        <hr>
        <p></p>
      </div>
    </section> -->
    <section class="section">
      <pre>Report will be updated every 1s as default value.</pre>
      <canvas id="mChart"></canvas>
    </section>
    <!-- <section class="section">
      <div class="box">
        <article class="media">
          <div class="media-left">
            <figure class="image is-64x64">
              <img src="https://bulma.io/images/placeholders/128x128.png" alt="Image">
              Rod is saying:
            </figure>
          </div>
          <div class="field">
            <div class="control">
              <textarea class="textarea is-dark" id="client-chat-box" type="text" placeholder="Primary textarea"></textarea>
            </div>
          </div>
        </article>
      </div>
    </section>
    <section class="section">
      <div class="box">
        <article class="media">
          <div class="media-left">
            <figure class="image is-64x64">
              <img src="https://bulma.io/images/placeholders/128x128.png" alt="Image">
              Rod is saying:
            </figure>
          </div>
          <div class="media-content">
            <div class="content" id="server-chat-box">
              
            </div>
            <nav class="level is-mobile">
              <div class="level-left">
                <a class="level-item" aria-label="reply">
                  <span class="icon is-small">
                    <i class="fas fa-reply" aria-hidden="true"></i>
                  </span>
                </a>
                <a class="level-item" aria-label="retweet">
                  <span class="icon is-small">
                    <i class="fas fa-retweet" aria-hidden="true"></i>
                  </span>
                </a>
                <a class="level-item" aria-label="like">
                  <span class="icon is-small">
                    <i class="fas fa-heart" aria-hidden="true"></i>
                  </span>
                </a>
              </div>
            </nav>
          </div>
        </article>
      </div>
    </section> -->
    <footer class="footer">
      <div class="container">
        <div class="content has-text-centered">
          <p>
            Powered by Node.js <script>document.write(process.versions.node)</script>,
            Chromium <script>document.write(process.versions.chrome)</script>,
            and Electron <script>document.write(process.versions.electron)</script>.<br>
            <span class="icon"><i class="fas fa-quote-left"></i></span><span><i>Đừng tưởng xuân tàn hoa rụng hết.</i></span><br>
              <span><i>Đêm qua sân trước, một cành mai.</i></span><span class="icon"><i class="fas fa-quote-right"></i></span>
            <br><strong>@Bonsai Lab - 2018</strong>
            <!-- <a href="test.html">Go to test page</a> -->
          </p>
        </div>
      </div>
    </footer>
  </body>
</html>
